patchGNU Autoconf Archive - Patches: patch #8659, ax_compiler_flags: Prevent using...

 
 

patch #8659: ax_compiler_flags: Prevent using bash substring expansion

Submitted by:  None
Submitted on:  Tue 21 Apr 2015 06:45:13 AM UTC  
 
Priority:  5 - Normal Status:  Done
Assigned to:  Peter Simons <simons> Originator Email:  -email is unavailable-
Open/Closed:  Closed

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Tue 21 Apr 2015 07:55:08 PM UTC, comment #2: 
Peter Simons <simons>
Project AdministratorIn charge of this item.
Tue 21 Apr 2015 01:15:26 PM UTC, comment #1: 

Doesn't this patch add a dependency on "sed" that requires AC_PROG_SED to run before this macro?

Peter Simons <simons>
Project AdministratorIn charge of this item.
Tue 21 Apr 2015 06:45:13 AM UTC, original submission:  

m4/ax_compiler_flags_cflags.m4 and m4/ax_compiler_flags_cxxflags.m4 uses ${flag:5}, which is not supported by POSIX and some shells, including dash and ash. We should not depend on non-portable shell features in configure scripts.

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files
file #33734:  ax_compiler_flags-Prevent-using-bash-substring-expan.patch added by None (2KiB - application/octet-stream - Updated patch with AC_PROG_SED)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by simons (Posted a comment)
  • -email is unavailable- added by None (Submitted the item)
  •  

     

     

    Follow 6 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2015-08-26 simons Open/ClosedOpen => Closed
    2015-04-21 simons StatusIn Progress => Done
        Assigned toNone => simons
    2015-04-21 None Attached File- => Added ax_compiler_flags-Prevent-using-bash-substring-expan.patch, #33734
    2015-04-21 simons StatusNone => In Progress
    2015-04-21 None Attached File- => Added ax_compiler_flags-Prevent-using-bash-substring-expan.patch, #33732

    Back to the top


    Powered by Savane 3.6